package com.ruoyi.interfaces.mapper;

import com.ruoyi.interfaces.core.CrudDao;
import com.ruoyi.interfaces.core.page.PageParam;
import com.ruoyi.interfaces.domain.PtConsult;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PtConsultDao extends CrudDao<PtConsult, PageParam<PtConsult>> {

    int delete(@Param("id") String id);

    PtConsult get(@Param("id") String id);

    List<PtConsult> list(PtConsult ptConsult);
}
